Bug 539644 - [abrt] crash detected in mozplugger-1.12.1-7.fc12
[abrt] crash detected in mozplugger-1.12.1-7.fc12
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mozplugger (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:5b25b00afa756880a7ff4f21d03...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-20 14:02 EST by Cody Stonica
Modified: 2010-11-29 14:45 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-29 07:58:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Cody Stonica 2009-11-20 14:02:17 EST
abrt detected a crash.

cmdline: mozplugger-helper 0,1,10,0,0,0,0,0 play "$file"
component: mozplugger
executable: /usr/bin/mozplugger-helper
kernel: 2.6.31.5-127.fc12.i686.PAE
package: mozplugger-1.12.1-7.fc12
rating: 0
reason: Process was terminated by signal 11
Comment 1 Ngo Than 2009-12-07 06:12:34 EST
could you please describe more how i can reproduce this crash? thanks
Comment 2 mdmpsyd@gmail.com 2009-12-07 07:55:29 EST
my crashes (47 in 10 minutes) involved running the "aquarium" app on facebook while chatting with someone using the facebook chat feature.
Comment 3 Bill McGonigle 2009-12-07 14:12:47 EST
I thought my abrt was submitting backtraces and cores... but they haven't shown up here.  Would those be helpful, assuming abrt kept them on disk but didn't upload?
Comment 4 Charles R. Anderson 2009-12-12 01:48:23 EST
I'm seeing the same thing on every single incoming Facebook chat.

architecture: x86_64
cmdline: mozplugger-helper 140,1,11,0,0,0,0,0 mplayer -really-quiet -nojoystick  "$file" </dev/null
component: mozplugger
coredump: /var/cache/abrt/ccpp-1260596682-22078/coredump
executable: /usr/bin/mozplugger-helper
kernel: 2.6.31.6-145.fc12.x86_64
package: mozplugger-1.12.1-7.fc12
rating: 4
reason: Process was terminated by signal 11
release: Fedora release 12 (Constantine)

Comment
-----
Everytime an incoming chat was received on Facebook I got another crash from mozplugger.  There are 179 of them now...

Additionally, the stderr from the terminal where I started firefox displayed these error messages each time mozplugger crashed:

*** NSPlugin Wrapper *** WARNING: unhandled variable 11 in NPP_GetValue()

I also saw this at least once:

*** glibc detected *** /usr/lib64/nspluginwrapper/npviewer.bin: double free or corruption (top): 0x0000000001e48400 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3ad5c74a96]
/usr/lib64/nspluginwrapper/npviewer.bin[0x40a63c]
/usr/lib64/mozilla/plugins/mozplugger.so(NPP_WriteReady+0x37)[0x7fc7755a82f7]
/usr/lib64/nspluginwrapper/npviewer.bin[0x403cb5]
/usr/lib64/nspluginwrapper/npviewer.bin[0x4106ce]
/usr/lib64/nspluginwrapper/npviewer.bin[0x410a32]
/usr/lib64/nspluginwrapper/npviewer.bin[0x40393c]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x22e)[0x3ad803922e]
/lib64/libglib-2.0.so.0[0x3ad803cc18]
/lib64/libglib-2.0.so.0(g_main_loop_run+0x1a5)[0x3ad803d065]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_main+0xa7)[0x3adf54bd97]
/usr/lib64/nspluginwrapper/npviewer.bin[0x4071a4]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x3ad5c1eb1d]
/usr/lib64/nspluginwrapper/npviewer.bin[0x403709]
======= Memory map: ========
00400000-0041e000 r-xp 00000000 fd:04 62424                              /usr/lib64/nspluginwrapper/npviewer.bin
0061e000-00620000 rw-p 0001e000 fd:04 62424                              /usr/lib64/nspluginwrapper/npviewer.bin
0081f000-00825000 rw-p 0001f000 fd:04 62424                              /usr/lib64/nspluginwrapper/npviewer.bin
01d9f000-01e67000 rw-p 00000000 00:00 0                                  [heap]
3ad5800000-3ad581e000 r-xp 00000000 fd:04 8322                           /lib64/ld-2.11.so
3ad5a1d000-3ad5a1e000 r--p 0001d000 fd:04 8322                           /lib64/ld-2.11.so
3ad5a1e000-3ad5a1f000 rw-p 0001e000 fd:04 8322                           /lib64/ld-2.11.so
3ad5a1f000-3ad5a20000 rw-p 00000000 00:00 0 
3ad5c00000-3ad5d70000 r-xp 00000000 fd:04 9200                           /lib64/libc-2.11.so
3ad5d70000-3ad5f6f000 ---p 00170000 fd:04 9200                           /lib64/libc-2.11.so
3ad5f6f000-3ad5f73000 r--p 0016f000 fd:04 9200                           /lib64/libc-2.11.so
3ad5f73000-3ad5f74000 rw-p 00173000 fd:04 9200                           /lib64/libc-2.11.so
3ad5f74000-3ad5f79000 rw-p 00000000 00:00 0 
3ad6000000-3ad6083000 r-xp 00000000 fd:04 9568                           /lib64/libm-2.11.so
3ad6083000-3ad6282000 ---p 00083000 fd:04 9568                           /lib64/libm-2.11.so
3ad6282000-3ad6283000 r--p 00082000 fd:04 9568                           /lib64/libm-2.11.so
3ad6283000-3ad6284000 rw-p 00083000 fd:04 9568                           /lib64/libm-2.11.so
3ad6400000-3ad6402000 r-xp 00000000 fd:04 9810                           /lib64/libdl-2.11.so
3ad6402000-3ad6602000 ---p 00002000 fd:04 9810                           /lib64/libdl-2.11.so
3ad6602000-3ad6603000 r--p 00002000 fd:04 9810                           /lib64/libdl-2.11.so
3ad6603000-3ad6604000 rw-p 00003000 fd:04 9810                           /lib64/libdl-2.11.so
3ad6800000-3ad6817000 r-xp 00000000 fd:04 11565                          /lib64/libpthread-2.11.so
3ad6817000-3ad6a16000 ---p 00017000 fd:04 11565                          /lib64/libpthread-2.11.so
3ad6a16000-3ad6a17000 r--p 00016000 fd:04 11565                          /lib64/libpthread-2.11.so
3ad6a17000-3ad6a18000 rw-p 00017000 fd:04 11565                          /lib64/libpthread-2.11.so
3ad6a18000-3ad6a1c000 rw-p 00000000 00:00 0 
3ad6c00000-3ad6c07000 r-xp 00000000 fd:04 11566                          /lib64/librt-2.11.so
3ad6c07000-3ad6e06000 ---p 00007000 fd:04 11566                          /lib64/librt-2.11.so
3ad6e06000-3ad6e07000 r--p 00006000 fd:04 11566                          /lib64/librt-2.11.so
3ad6e07000-3ad6e08000 rw-p 00007000 fd:04 11566                          /lib64/librt-2.11.so
3ad7000000-3ad7015000 r-xp 00000000 fd:04 9755                           /lib64/libz.so.1.2.3
3ad7015000-3ad7214000 ---p 00015000 fd:04 9755                           /lib64/libz.so.1.2.3
3ad7214000-3ad7215000 rw-p 00014000 fd:04 9755                           /lib64/libz.so.1.2.3
3ad7400000-3ad741b000 r-xp 00000000 fd:04 9808                           /usr/lib64/libxcb.so.1.1.0
3ad741b000-3ad761a000 ---p 0001b000 fd:04 9808                           /usr/lib64/libxcb.so.1.1.0
3ad761a000-3ad761b000 rw-p 0001a000 fd:04 9808                           /usr/lib64/libxcb.so.1.1.0
3ad7800000-3ad7939000 r-xp 00000000 fd:04 10104                          /usr/lib64/libX11.so.6.3.0
3ad7939000-3ad7b39000 ---p 00139000 fd:04 10104                          /usr/lib64/libX11.so.6.3.0
3ad7b39000-3ad7b3f000 rw-p 00139000 fd:04 10104                          /usr/lib64/libX11.so.6.3.0
3ad7c00000-3ad7c02000 r-xp 00000000 fd:04 9807                           /usr/lib64/libXau.so.6.0.0
3ad7c02000-3ad7e02000 ---p 00002000 fd:04 9807                           /usr/lib64/libXau.so.6.0.0
3ad7e02000-3ad7e03000 rw-p 00002000 fd:04 9807                           /usr/lib64/libXau.so.6.0.0
3ad8000000-3ad80e4000 r-xp 00000000 fd:04 10511                          /lib64/libglib-2.0.so.0.2200.3
3ad80e4000-3ad82e4000 ---p 000e4000 fd:04 10511                          /lib64/libglib-2.0.so.0.2200.3
3ad82e4000-3ad82e5000 rw-p 000e4000 fd:04 10511                          /lib64/libglib-2.0.so.0.2200.3
3ad82e5000-3ad82e6000 rw-p 00000000 00:00 0 
3ad8400000-3ad841c000 r-xp 00000000 fd:04 11319                          /lib64/libselinux.so.1
3ad841c000-3ad861b000 ---p 0001c000 fd:04 11319                          /lib64/libselinux.so.1
3ad861b000-3ad861c000 r--p 0001b000 fd:04 11319                          /lib64/libselinux.so.1
3ad861c000-3ad861d000 rw-p 0001c000 fd:04 11319                          /lib64/libselinux.so.1
3ad861d000-3ad861e000 rw-p 00000000 00:00 0 
3ad8800000-3ad8815000 r-xp 00000000 fd:04 10913                          /lib64/libresolv-2.11.so
3ad8815000-3ad8a15000 ---p 00015000 fd:04 10913                          /lib64/libresolv-2.11.so
3ad8a15000-3ad8a16000 r--p 00015000 fd:04 10913                          /lib64/libresolv-2.11.so
3ad8a16000-3ad8a17000 rw-p 00016000 fd:04 10913                          /lib64/libresolv-2.11.so
3ad8a17000-3ad8a19000 rw-p 00000000 00:00 0 
3ad8c00000-3ad8c11000 r-xp 00000000 fd:04 10517                          /usr/lib64/libXext.so.6.4.0
3ad8c11000-3ad8e11000 ---p 00011000 fd:04 10517                          /usr/lib64/libXext.so.6.4.0
3ad8e11000-3ad8e12000 rw-p 00011000 fd:04 10517                          /usr/lib64/libXext.so.6.4.0
3ad9000000-3ad9043000 r-xp 00000000 fd:04 10512                          /lib64/libgobject-2.0.so.0.2200.3
3ad9043000-3ad9243000 ---p 00043000 fd:04 10512                          /lib64/libgobject-2.0.so.0.2200.3
3ad9243000-3ad9245000 rw-p 00043000 fd:04 10512                          /lib64/libgobject-2.0.so.0.2200.3
3ad9400000-3ad9405000 r-xp 00000000 fd:04 10558                          /usr/lib64/libXfixes.so.3.1.0
3ad9405000-3ad9604000 ---p 00005000 fd:04 10558                          /usr/lib64/libXfixes.so.3.1.0
3ad9604000-3ad9605000 rw-p 00004000 fd:04 10558                          /usr/lib64/libXfixes.so.3.1.0
3ad9800000-3ad9803000 r-xp 00000000 fd:04 10513                          /lib64/libgmodule-2.0.so.0.2200.3
3ad9803000-3ad9a02000 ---p 00003000 fd:04 10513                          /lib64/libgmodule-2.0.so.0.2200.3
3ad9a02000-3ad9a03000 rw-p 00002000 fd:04 10513                          /lib64/libgmodule-2.0.so.0.2200.3
3ad9c00000-3ad9c02000 r-xp 00000000 fd:04 10561                          /usr/lib64/libXdamage.so.1.1.0
3ad9c02000-3ad9e01000 ---p 00002000 fd:04 10561                          /usr/lib64/libXdamage.so.1.1.0
3ad9e01000-3ad9e02000 rw-p 00001000 fd:04 10561                          /usr/lib64/libXdamage.so.1.1.0
3ada000000-3ada026000 r-xp 00000000 fd:04 9801                           /usr/lib64/libpng12.so.0.39.0
3ada026000-3ada225000 ---p 00026000 fd:04 9801                           /usr/lib64/libpng12.so.0.39.0
3ada225000-3ada226000 rw-p 00025000 fd:04 9801                           /usr/lib64/libpng12.so.0.39.0
3ada400000-3ada416000 r-xp 00000000 fd:04 11574                          /lib64/libgcc_s-4.4.2-20091204.so.1
3ada416000-3ada615000 ---p 00016000 fd:04 11574                          /lib64/libgcc_s-4.4.2-20091204.so.1
3ada615000-3ada616000 rw-p 00015000 fd:04 11574                          /lib64/libgcc_s-4.4.2-20091204.so.1
3ada800000-3ada80f000 r-xp 00000000 fd:04 10556                          /usr/lib64/libXi.so.6.1.0
3ada80f000-3adaa0e000 ---p 0000f000 fd:04 10556                          /usr/lib64/libXi.so.6.1.0
3adaa0e000-3adaa0f000 rw-p 0000e000 fd:04 10556                          /usr/lib64/libXi.so.6.1.0
3adac00000-3adac97000 r-xp 00000000 fd:04 9588                           /usr/lib64/libfreetype.so.6.3.22
3adac97000-3adae96000 ---p 00097000 fd:04 9588                           /usr/lib64/libfreetype.so.6.3.22
3adae96000-3adae9c000 rw-p 00096000 fd:04 9588                           /usr/lib64/libfreetype.so.6.3.22
3adb000000-3adb026000 r-xp 00000000 fd:04 9753                           /lib64/libexpat.so.1.5.2
3adb026000-3adb225000 ---p 00026000 fd:04 9753                           /lib64/libexpat.so.1.5.2
3adb225000-3adb228000 rw-p 00025000 fd:04 9753                           /lib64/libexpat.so.1.5.2
3adb400000-3adb4a8000 r-xp 00000000 fd:04 11320                          /lib64/libgio-2.0.so.0.2200.3
3adb4a8000-3adb6a7000 ---p 000a8000 fd:04 11320                          /lib64/libgio-2.0.so.0.2200.3
3adb6a7000-3adb6aa000 rw-p 000a7000 fd:04 11320                          /lib64/libgio-2.0.so.0.2200.3*** NSPlugin Wrapper *** ERROR: NPP_WriteReady() wait for reply: Connection closed
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:2167):invoke_NPP_NewStream: assertion failed: (rpc_method_invoke_possible(plugin->connection))
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:1858):invoke_NPP_Destroy: assertion failed: (rpc_method_invoke_possible(plugin->connection))
sh: acroread: command not found
*** NSPlugin Wrapper *** WARNING: unhandled variable 11 in NPP_GetValue()
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:1858):invoke_NPP_Destroy: assertion failed: (rpc_method_invoke_possible(plugin->connection))
*** NSPlugin Wrapper *** WARNING: unhandled variable 11 in NPP_GetValue()
*** NSPlugin Wrapper *** WARNING: unhandled variable 11 in NPP_GetValue()
*** NSPlugin Wrapper *** WARNING: unhandled variable 11 in NPP_GetValue()
*** NSPlugin Wrapper *** WARNING: unhandled variable 11 in NPP_GetValue()
*** NSPlugin Wrapper *** WARNING: unhandled variable 11 in NPP_GetValue()


How to reproduce
-----
1. Open a chat in Facebook with someone
2. Everytime you receive an incoming message, mozplugger crashes.

backtrace
-----
Debuginfo absent: 38bd75b0d94bdf736e935e3f0b6d4ed18bcef7c1
Debuginfo absent: e4fb87cca758190ded58a404bc93dd1cd673ac6b
Core was generated by `mozplugger-helper 140,1,11,0,0,0,0,0 mplayer -really-quiet -nojoystick  "$file"'.
Program terminated with signal 11, Segmentation fault.
#0  XCloseDisplay (dpy=0x0) at ClDisplay.c:57
57		if (!(dpy->flags & XlibDisplayClosing))

Thread 1 (Thread 22078):
#0  XCloseDisplay (dpy=0x0) at ClDisplay.c:57
        ext = <value optimized out>
        i = <value optimized out>
#1  0x0000000000402e2f in main (argc=3, argv=<value optimized out>)
    at mozplugger-helper.c:1609
        app_argv = {0x4037c7 "/bin/sh", 0x4037cf "-c", 
          0x7fff2b4791cf "mplayer -really-quiet -nojoystick  \"$file\" </dev/null", 0x0, 0x0, 0x12cb43049 <Address 0x12cb43049 out of bounds>, 0x0, 
          0x3 <Address 0x3 out of bounds>, 
          0x7fff2b4788e8 "\005\222G+\377\177", 0x3ad5f6f760 ""}
        loops = 1
        temp = 0
        x = 0
        y = 0
        i = <value optimized out>
Comment 5 Kevin Gaasch 2009-12-22 16:09:18 EST
This issue is cropping up for me also while in facebook chat.  It doesn't happen all of the time, but it once it starts, it doesn't stop. And like Charles R. Anderson said, it happens on incoming facebook chat messages.  On my system, it also opens movieplayer.  I seems like firefox is trying to open movieplayer to play the new message notification chime.
Comment 6 mdmpsyd@gmail.com 2009-12-22 16:20:35 EST
as far as movieplayer opening---- this also happens in windoz
Comment 7 Matt Domsch 2010-01-06 00:14:34 EST
I've seen this too, when doing facebook chat.
Comment 8 Ngo Than 2010-09-29 07:58:11 EDT
it should be fixed in mozplugger-1.14.2-1.fc13 which will be available in f13-update-testing soon. Or you can download it from http://koji.fedoraproject.org/koji/buildinfo?buildID=189076

Note You need to log in before you can comment on or make changes to this bug.